<template>
	<view class="work-container">
		<view style="work-banner">
			<image src="../../static/images/work-banner.png" style="width: 100%;height:43vh"></image>
		</view>
		<view class="grid-body">
			<view class="Grid">
				<view class="Grid-Item" v-for="item in List" :key="item.id" @click="navClick(item.id)"
					hover-class="click-hover" hover-start-time="50" hover-stay-time="50">
					<image class="icon-item" src="../../static/images/mygc.png" v-if="item.title == '民用工程'"></image>
					<image class="icon-item" src="../../static/images/gygc.png" v-if="item.title == '工业工程'"></image>
					<image class="icon-item" src="../../static/images/szgc.png" v-if="item.title == '市政工程'"></image>
					<image class="icon-item" src="../../static/images/wxzy.png" v-if="item.title == '危险作业工程'"></image>
					<image class="icon-item" src="../../static/images/dggc.png" v-if="item.title == '顶管工程'"></image>
					<image class="icon-item" src="../../static/images/jjgc.png" v-if="item.title == '基建工程'"></image>
					<view class="GStitle">{{ item.title }}
					</view>
				</view>
			</view>
			<view v-if="showPopup" class="popup">
				<view class="content">
					<view class="line1 top40">
						<view style="width: 61rpx;
						color: #CEB98D;
height: 61rpx;
display: flex;
justify-content: center;
align-items: center;
border: 3px solid #CEB98D;
border-radius: 50%; margin-right: 20rpx;">旧</view>
						<view>旧改工程</view>
					</view>
					<view class="line2 btn-grp">
						<view class="btn-grp-item" v-for="(item, index) in OldProjectList" :key="index"
							@click="OldProject(item.dictValue)">
							<image src="../../static/images/sn.png" class="line2-btn-big"
								v-if="item.dictLabel == '室内工程'"></image>
							<image src="../../static/images/ty.png" class="line2-btn-big"
								v-if="item.dictLabel == '庭院工程'"></image>
							<image src="../../static/images/jk.png" class="line2-btn-big" v-if="item.dictLabel == '架空'">
							</image>
							{{item.dictLabel}}
						</view>
					</view>
					<view class="line1">
						<view style="width: 61rpx;
						color: #85c9c2;
						height: 61rpx;
						display: flex;
						justify-content: center;
						align-items: center;
						border: 3px solid #85c9c2;
						border-radius: 50%; margin-right: 20rpx;">新</view>
						<view>新建工程</view>
					</view>
					<view class="line2 btn-grp">
						<view class="btn-grp-item" v-for="(item, index) in NewProjectList" :key="index"
							@click="NewProject(item.dictValue)">
							<image src="../../static/images/sn2.png" class="line2-btn-big"
								v-if="item.dictLabel == '室内工程'"></image>
							<image src="../../static/images/ty2.png" class="line2-btn-big"
								v-if="item.dictLabel == '庭院工程'"></image>
							<image src="../../static/images/jk2.png" class="line2-btn-big"
								v-if="item.dictLabel == '架空'"></image>
							{{item.dictLabel}}
						</view>
					</view>
				</view>

			<!-- 	<view class="btn-group">
					<view class="btn_position">
						<view class="cancel" @click="showMinYong">取消</view>
					</view>
				</view> -->
			</view>
			<view v-if="showPopup" class="mask" @click="showMinYong"></view>
		</view>


		<view class="share">
			<view :class="{'share-box': shareState}" @click="handleHiddenShare">
			</view>
			<view class="share-item" :class="{'share-show': shareState}">
				<view class="share-to">
					<text>请选择</text>
				</view>
				<scroll-view scroll-y="true" class="scroll-Y">
					<view class="content">
						<view class="block" v-for="(item, index) in typeList" :key="index" @click="showTypeSheet(item)">
							<!-- <image :src="item.image" mode="aspectFill"></image> -->
							<text>{{item.dictLabel}}</text>
						</view>
					</view>
				</scroll-view>
				<view class="cancel" @click.stop="handleHiddenShare">
					<text>取消</text>
				</view>
			</view>
		</view>
	</view>
	</view>
</template>

<script>
	import {
		getDicts
	} from "@/api/system/dict/data";
	export default {

		data() {
			return {
				showPopup: false,
				shareState: false,
				array: [],
				projectType: '', //工程类型
				OldProjectList: '', //旧改工程
				NewProjectList: '', //民用工程
				typeList: '', //二次弹窗数据
				enginType: '',
				enginClassification: '', // 旧改节点 数据字典
				enginClassValue: '', //二次节点  数据字典
				current: 0,
				swiperDotIndex: 0,
				List: [{
						id: 1,
						img: '/static/logo.png',
						title: '民用工程'
					},
					{
						id: 2,
						img: '/static/logo.png',
						title: '工业工程'
					},
					{
						id: 3,
						img: '/static/logo.png',
						title: '市政工程'
					},
					{
						id: 4,
						img: '/static/logo.png',
						title: '危险作业工程'
					},
					{
						id: 5,
						img: '/static/logo.png',
						title: '顶管工程'
					},
					{
						id: 6,
						img: '/static/logo.png',
						title: '基建工程'
					},

				]


			}
		},
		methods: {
			navClick(newId) {
				if (newId == 1) {
					this.showMinYong()
				} else if (newId == 2) {
					this.showGongYe();

				} else if (newId == 3) {
					this.municipalProjectClick();

				} else if (newId == 4) {

					this.showDangerous();
				} else if (newId == 5) {
					this.showTopPipe();
				} else if (newId == 6) {
					this.showInfrastructureDialog();

				}

			},
			// 显示二次弹窗
			handleShowSheet() {
				this.shareState = true;
			},
			// 隐藏二次弹窗
			handleHiddenShare() {
				this.shareState = false;
			},

			showMinYong() {
				this.projectType = 'MinYong';
				getDicts("old_renovation").then(response => {
					this.OldProjectList = response.data;
				});
				getDicts("new_built").then(response => {
					this.NewProjectList = response.data;
				});
				this.showPopup = !this.showPopup;

			},
			//市政工程-首页-点击事件
			municipalProjectClick() {
				let obj = {
					value: '市政工程'
				};
				uni.navigateTo({
					url: '/pages/municipal/municipal?params=' + encodeURIComponent(JSON
						.stringify(obj))

				});
			},

			NewProject(e) {
				this.enginType = 'new_built'; //写死
				this.enginClassification = e;
				this.typeList = ''; //置空
				console.log("新建", e)
				if (e == 'indoor_engin') {
					//新建室内
					getDicts("new_built_indoor_engin").then(response => {

						this.typeList = response.data;
					});

				} else if (e == 'courtyard') {
					//新建庭院
					getDicts("new_built_courtyard").then(response => {
						console.log("庭院", response.data)
						this.typeList = response.data;

					});
				} else if (e == 'overhead') {
					//新建架空
					getDicts("new_built_courtyard").then(response => {
						console.log("架空", response.data)
						this.typeList = response.data;


					});
				}

				this.handleShowSheet();

			},
			OldProject(e) {
				this.enginType = 'old_renovation'; //写死
				this.enginClassification = e;
				console.log("旧改", e)
				this.typeList = ''; //置空
				if (e == 'indoor_engin') {
					//旧改室内
					getDicts("old_renovation_indoor_engin").then(response => {

						this.typeList = response.data;
					});

				} else if (e == 'courtyard') {
					//旧改庭院
					getDicts("old_renovation_courtyard").then(response => {
						console.log("庭院", response.data)
						this.typeList = response.data;

					});
				} else if (e == 'overhead') {
					//旧改架空
					getDicts("old_renovation_overhead").then(response => {
						console.log("架空", response.data)
						this.typeList = response.data;
					});
				}

				this.handleShowSheet();
			},

			//二次弹窗 选择类型
			showTypeSheet(item) {
				if (this.projectType == 'MinYong') {
					this.showPopup = !this.showPopup; //隐藏第一次弹窗
					this.enginClassValue = item.dictValue; //二次节点赋值
					const obj = {
						enginClassValue: this.enginClassValue, //(拆旧管等 字典值)
						enginType: this.enginType, //旧改 还是新建  写死
						enginClassification: this.enginClassification //室内  庭院  架空

					};
					console.log(obj)
					this.handleHiddenShare();
					// 室内
					if (this.enginClassification == 'indoor_engin') {
						uni.navigateTo({
							url: '/pages/oldrenovation/indoor/indoor?params=' + encodeURIComponent(JSON.stringify(
								obj))
						})
					}
					// 庭院
					else if (this.enginClassification == 'courtyard') {
						uni.navigateTo({
							url: '/pages/oldrenovation/courtyard/courtyard?params=' + encodeURIComponent(JSON
								.stringify(
									obj))
						})
					} else if (this.enginClassification == 'overhead') { //架空
						uni.navigateTo({
							url: '/pages/oldrenovation/overhead/overhead?params=' + encodeURIComponent(JSON
								.stringify(
									obj))
						})
					}
				} else if (this.projectType == 'GongYe') {
					console.log("工业", item)
					let obj = {
						value: item.dictValue
					};
					this.handleHiddenShare();
					uni.navigateTo({
						url: '/pages/enginproject/enginproject?params=' + encodeURIComponent(JSON
							.stringify(
								obj))
					})
				} else if (this.projectType == 'JiJian') {
					console.log("基建", item)
					let obj = {
						value: item.dictValue
					};
					this.handleHiddenShare();
					uni.navigateTo({
						url: '/pages/infrastructure/infrastructure?params=' + encodeURIComponent(JSON
							.stringify(
								obj))
					})
				} else if (this.projectType == 'DingGuan') {
					console.log("顶管", item)
					let obj = {
						value: item.dictValue
					};
					this.handleHiddenShare();
					uni.navigateTo({
						url: '/pages/TopPipeWork/TopPipeWork?params=' + encodeURIComponent(JSON
							.stringify(
								obj))
					})

				}

			},
			showGongYe() {
				this.projectType = 'GongYe';
				//工业工程
				getDicts("engin_classification").then(response => {
					console.log("工业工程", response.data)
					this.typeList = response.data;

					console.log("工业工程", response.data)

				});
				this.handleShowSheet();
			},
			showTopPipe() {
				this.projectType = 'DingGuan';
				getDicts("pipe_jack").then(response => {
					console.log("顶管工程", response.data)
					this.typeList = response.data;


				});
				this.handleShowSheet();
			},
			showInfrastructureDialog() {
				this.projectType = 'JiJian';
				//基建工程
				getDicts("engineering_infrastructure").then(response => {
					console.log("基建工程", response.data)
					this.typeList = response.data;

					console.log("基建工程", response.data)

				});
				this.handleShowSheet();
			},
			showDangerous() {
				console.log("危险作业工程")
				uni.navigateTo({
					url: '/pages/dangerous/dangerous'
				})
			},
		}
	}
</script>

<style lang="scss">
	/* #ifndef APP-NVUE */
	page {
		display: flex;
		flex-direction: column;
		box-sizing: border-box;
		background-color: #fff;
		min-height: 100%;
		height: auto;
	}

	view {
		font-size: 14px;
		line-height: inherit;
	}

	.work-container {
		display: flex;
		flex-direction: column;
	}


	/* #endif */

	.text {
		text-align: center;
		font-size: 26rpx;
		margin-top: 10rpx;
	}

	.grid-item-box {
		flex: 1;
		/* #ifndef APP-NVUE */
		display: flex;
		/* #endif */
		flex-direction: column;
		align-items: center;
		justify-content: center;
		padding: 15px 0;
	}

	.uni-margin-wrap {
		width: 690rpx;
		width: 100%;
		;
	}

	.swiper {
		height: 300rpx;
	}

	.swiper-box {
		height: 150px;
	}

	.swiper-item {
		/* #ifndef APP-NVUE */
		display: flex;
		/* #endif */
		flex-direction: column;
		justify-content: center;
		align-items: center;
		color: #fff;
		height: 300rpx;
		line-height: 300rpx;
	}

	@media screen and (min-width: 500px) {
		.uni-swiper-dot-box {
			width: 400px;
			/* #ifndef APP-NVUE */
			margin: 0 auto;
			/* #endif */
			margin-top: 8px;
		}

		.image {
			width: 100%;
		}
	}

	// 弹窗效果
	.popup {
		position: fixed;
		bottom: 0;
		left: 0;
		width: 100%;
		background-color: #fff;
		// padding: 20rpx;
		box-sizing: border-box;
		z-index: 999;
		border-top-left-radius: 40rpx;
		border-top-right-radius: 40rpx;
	}

	// 遮罩层
	.mask {
		position: fixed;
		top: 0;
		left: 0;
		width: 100%;
		height: 100%;
		background-color: rgba(0, 0, 0, 0.5);
		z-index: 888;
	}

	// 弹窗内容
	.content {
		.top40 {
			margin-top: 30rpx;
		}

		.line1 {

			text-align: center;
			display: flex;
			justify-content: start;
			align-items: center;
			padding: 20rpx;
		}

		.btn-grp {
			display: flex;

			.btn-grp-item {
				width: 33%;
				display: flex;
				flex-direction: column;
				align-items: center;

				.line2-btn-big {
					width: 128rpx;
					height: 128rpx;
					margin-bottom: 10rpx;
				}

			}
		}

		.line2 {
			padding: 20rpx;
			// border-bottom: 1px solid black;

			view {
				margin-bottom: 10rpx;
			}
		}
	}

	// 按钮样式
	.btn-group {
		box-shadow: 0px -2px 6px rgba(0, 0, 0, 0.5);

		/* 示例阴影参数，根据需要进行调整 */
		.btn_position {
			display: flex;
			width: 100%;

			.cancel {
				width: 50%;
				text-align: center;
				padding: 20rpx 0;
				color: #519fe7;
			}

			.submit {
				width: 50%;
				background-color: #519fe7;
				text-align: center;
				padding: 20rpx 0;
				color: #fff;
			}
		}

	}

	.share {
		width: 100%;
		height: 100%;
	}

	.share-box {
		width: 100%;
		height: 100%;
		position: fixed;
		top: 0rpx;
		left: 0rpx;
		bottom: 0rpx;
		right: 0rpx;
		background-color: rgba(0, 0, 0, 0.4);
		transition: .3s;
		z-index: 999;
	}

	// 进入分享动画
	.share-show {
		transition: all 0.3s ease;
		transform: translateY(0%) !important;
	}

	.scroll-Y {
		height: 350rpx;
	}

	// 离开分享动画
	.share-item {
		position: fixed;
		left: 0;
		bottom: 0;
		width: 100%;
		height: auto;
		background-color: #FFFFFF;
		transition: all 0.3s ease;
		transform: translateY(100%);
		z-index: 1999;
	       border-top-left-radius: 40rpx;
	       border-top-right-radius: 40rpx;
	   

		.share-to {
			width: 100%;
			height: 3rem;
			display: flex;
			justify-content: center;
			align-items: center;

			&::after {
				content: '';
				width: 240rpx;
				height: 0rpx;
				border-top: 1px solid #E4E7ED;
				-webkit-transform: scaleY(0.5);
				transform: scaleY(0.5);
				margin-left: 30rpx;
			}

			&::before {
				content: '';
				width: 240rpx;
				height: 0rpx;
				border-top: 1px solid #E4E7ED;
				-webkit-transform: scaleY(0.5);
				transform: scaleY(0.5);
				margin-right: 30rpx;
			}
		}

		.content {
			width: 100%;
			height: 50%;
			display: flex;
			flex-wrap: wrap;

			.block {
				width: 100%;
				display: flex;
				flex-direction: column;
				justify-content: center;
				align-items: center;
				height: 80rpx;



				text {
					margin-top: 16rpx;
					font-size: 28rpx;
					color: #606266;
				}
			}
		}

		.cancel {
			width: 100%;
			height: 3rem;
			display: flex;
			justify-content: center;
			align-items: center;
			border-top: 1rpx solid #E4E7ED;
		}
	}

	/*********************九宫格********************* */
	.Grid {
		display: flex;
		flex-wrap: wrap;
		justify-content: space-between;
		align-content: space-between;
		// background: #f7f7f7;
		padding: 10rpx 0;

		.Grid-Item {
			width: 50%;
			// height: 100px;
			text-align: center;
			// border: 1rpx solid #ff0000;
			box-sizing: border-box;

			.icon-item {
				width: 220rpx;
				height: 220rpx;
			}

			.GSimg {
				width: 96rpx;
				height: 96rpx;
				margin-top: 42rpx;
				margin-left: 75rpx;

				.Image {
					width: 96rpx;
					height: 96rpx;
				}
			}

			.GStitle {
				width: 100%;
				color: #516d97;
				font-size: 28rpx;
				text-align: center;
				margin-top: -30rpx;
				margin-bottom: 30rpx;
			}
		}
	}

	.click-hover {
		background-color: #d0d0d0;
	}
</style>